[metadata]
name = satnogs-client
url = https://gitlab.com/librespacefoundation/satnogs/satnogs-client
author = SatNOGS project
author_email = dev@satnogs.org
license = AGPLv3
classifiers =
    Development Status :: 4 - Beta
    Environment :: Console
    Intended Audience :: Telecommunications Industry
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU Affero General Public License v3
    Operating System :: POSIX :: Linux
    Programming Language :: Python :: 3.6
    Topic :: Communications :: Ham Radio
description = SatNOGS Client

[options]
install_requires =
    APScheduler~=3.9.0
    python-dotenv~=0.20.0
    requests~=2.28.0
    validators~=0.20.0
    python-dateutil~=2.8.0
    ephem~=4.1.3.0
    pytz
    numpy~=1.23.0
    matplotlib~=3.5.0
    sentry-sdk~=1.6.0
    versioneer~=0.28.0
packages = find:

[options.extras_require]
dev =
    build~=0.10.0
    flake8-quotes~=3.3.0
    flake8~=4.0.0
    isort~=5.10.0
    pylint~=2.14.0
    pytest~=7.1.0
    pytest-xdist~=3.3.0
    pytest-forked~=1.6.0
    robotframework-httpctrl~=0.3.0
    robotframework-tidy~=2.6.0
    robotframework~=5.0.0
    sphinx_rtd_theme~=1.0.0
    tox~=4.5.0
    twine~=4.0.0
    yapf~=0.33.0

[options.entry_points]
console_scripts =
    satnogs-client = satnogsclient:main

[flake8]
max-line-length = 99
exclude = satnogsclient/_version.py,docs,build,.tox

[yapf]
column_limit = 99

[tool:isort]
use_parentheses = True
skip_glob = docs,build,.tox
skip = _version.py
line_length = 99
multi_line_output = 2

# See the docstring in versioneer.py for instructions. Note that you must
# re-run 'versioneer.py setup' after changing this section, and commit the
# resulting files.

[versioneer]
VCS = git
style = pep440
versionfile_source = satnogsclient/_version.py
versionfile_build = satnogsclient/_version.py
tag_prefix =
parentdir_prefix =
